Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155504 - Dia crashes when trying to open pagesetup
Summary: Dia crashes when trying to open pagesetup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dia
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 22:04 UTC by tim kunold
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-26 09:01:13 UTC


Attachments (Terms of Use)

Description tim kunold 2005-04-20 22:04:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
whenever I try to enter the pagesetup from the menue, dia crashes at once. When started from the console it gives following error messages when crashing:

(dia:5643): GLib-GObject-WARNING **: specified class size for type `DiaUnitSpinn er' is smaller than the parent type's `GtkSpinButton' class size

(dia:5643): Gtk-CRITICAL **: file gtktypeutils.c: line 100 (gtk_type_new): asser tion `GTK_TYPE_IS_OBJECT (type)' failed

(dia:5643): Gtk-CRITICAL **: file gtkspinbutton.c: line 1579 (gtk_spin_button_co nfigure): assertion `GTK_IS_SPIN_BUTTON (spin_button)' failed

(dia:5643): Gtk-WARNING **: unable to find signal handler for object(GtkAdjustme nt:0x8d51a40) with func((nil)) and data((nil))


Version-Release number of selected component (if applicable):
dia-0.94-5

How reproducible:
Always

Steps to Reproduce:
1. start up
2. go to file -> pagesetup
3. crash
  

Actual Results:  lost my work :( 

Expected Results:  should have opened the pagesetup-dialog

Additional info:

Comment 1 Caolan McNamara 2005-04-26 09:01:13 UTC
Should be ok in updates with dia-0.94-5.fc3


Note You need to log in before you can comment on or make changes to this bug.